<mamecheat version="1">

  <cheat desc="See the Dip Switch Menu to enable an alternate"/>
  <cheat desc="Invincibility cheat. If you want to skip the"/>
  <cheat desc="Level or see the game very fast then enable"/>
  <cheat desc="Infinite Bombs AND Invincibility and put the"/>
  <cheat desc="frameskip to 11 and hit F10 to push the speed"/>
  <cheat desc="to the maximum. The faster your CPU the better"/>
  <cheat desc="Just walk UP and use bomb to kill the boss."/>

  <cheat desc="Select Starting Level">
    <parameter min="1" max="7" step="1"/>
    <script state="run">
      <action>maincpu.mb@0029ED=(param-1)</action>
      <action>maincpu.mw@0029EE=33C0</action>
    </script>
    <script state="off">
      <action>maincpu.mb@0029ED=00</action>
      <action>maincpu.mw@0029EE=3039</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@240BCF=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pb@241E7A=D0</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bombs PL1">
    <script state="run">
      <action>maincpu.pb@241E53=0B</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action>maincpu.pb@241E5D=0A</action>
    </script>
  </cheat>

  <cheat desc="Get Max Firepower Now! PL1">
    <script state="on">
      <action>maincpu.pb@241E4F=02</action>
    </script>
  </cheat>

  <cheat desc="Get Normal Weapon Now! PL1">
    <script state="on">
      <action>maincpu.pb@241E38=00|(maincpu.pb@241E38 BAND ~4B)</action>
    </script>
  </cheat>

  <cheat desc="Get 3-Way Weapon Now! PL1">
    <script state="on">
      <action>maincpu.pb@241E38=01|(maincpu.pb@241E38 BAND ~4B)</action>
    </script>
  </cheat>

  <cheat desc="Get Super Ball Now! PL1">
    <script state="on">
      <action>maincpu.pb@241E38=08|(maincpu.pb@241E38 BAND ~08)</action>
    </script>
  </cheat>

  <cheat desc="Get Super Burner Now! PL1">
    <script state="on">
      <action>maincpu.pb@241E38=40|(maincpu.pb@241E38 BAND ~48)</action>
    </script>
  </cheat>

  <cheat desc="Get Speed Up Now! PL1">
    <script state="on">
      <action>maincpu.pb@241E38=20|(maincpu.pb@241E38 BAND ~20)</action>
    </script>
  </cheat>

  <cheat desc="Get Shield Now! PL1">
    <script state="on">
      <action>maincpu.pb@241E38=80|(maincpu.pb@241E38 BAND ~80)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@240BD1=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pb@241EFA=D0</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bombs PL2">
    <script state="run">
      <action>maincpu.pb@241ED3=0B</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pb@241EDD=0A</action>
    </script>
  </cheat>

  <cheat desc="Get Max Firepower Now! PL2">
    <script state="on">
      <action>maincpu.pb@241ECF=02</action>
    </script>
  </cheat>

  <cheat desc="Get Normal Weapon Now! PL2">
    <script state="on">
      <action>maincpu.pb@241EB8=00|(maincpu.pb@241EB8 BAND ~4B)</action>
    </script>
  </cheat>

  <cheat desc="Get 3-Way Weapon Now! PL2">
    <script state="on">
      <action>maincpu.pb@241EB8=01|(maincpu.pb@241EB8 BAND ~4B)</action>
    </script>
  </cheat>

  <cheat desc="Get Super Ball Now! PL2">
    <script state="on">
      <action>maincpu.pb@241EB8=08|(maincpu.pb@241EB8 BAND ~08)</action>
    </script>
  </cheat>

  <cheat desc="Get Super Burner Now! PL2">
    <script state="on">
      <action>maincpu.pb@241EB8=40|(maincpu.pb@241EB8 BAND ~48)</action>
    </script>
  </cheat>

  <cheat desc="Get Speed Up Now! PL2">
    <script state="on">
      <action>maincpu.pb@241EB8=20|(maincpu.pb@241EB8 BAND ~20)</action>
    </script>
  </cheat>

  <cheat desc="Get Shield Now! PL2">
    <script state="on">
      <action>maincpu.pb@241EB8=80|(maincpu.pb@241EB8 BAND ~80)</action>
    </script>
  </cheat>

  <!--  Note this game doesn't need a SKIP ROM Check Cheat -->

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
